using Otter;

namespace SuperRefluxPowergridDefense_.entities
{
    class WallUp : Entity
    {
        private Spritemap<string> _spriteMap;
        public int WallHealth = 1000;

        public WallUp(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(100, 40, (int)Global.Type.WALLUP);
            Collider.X = -50;
            Collider.Y = -20;
            _spriteMap = new Spritemap<string>(Assets.WALLDOWNUP, 100, 40);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 10f, 10f });
            _spriteMap.Play("main");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }

        public override void Update()
        {
            base.Update();
        }
        public override void Render()//mainly for testing colliders :D
        {
            base.Render();
            //Collider.Render();
        }

        public void Destroy()
        {
            RemoveSelf();
            Scene.Add(new PlayerDeath(X, Y));
        }

    }
}
